************************************************************************
* HSPICE version : 2008.03
************************************************************************
* DISCLAIMER :
************************************************************************
*          Property of Texas Instruments Incorporated.  Unauthorized   *
*          reproduction and/or distribution is strictly prohibited.    *
*                                                                      *
*          This product is protected under copyright law.              *
*          Created 2008, (C) Copyright 2008, Texas Instruments Inc.,   *
*          All Rights Reserved                                         *
*                                                                      *
*          UNLESS THERE IS A SIGNED, WRITTEN AGREEMENT TO THE          *
*          CONTRARY, TEXAS INSTRUMENTS ("TI") IS PROVIDING THE SPICE   *
*          MODELS "AS IS" AND WITHOUT ANY WARRANTY, EXPRESSED OR       *
*          IMPLIED.  TI assumes no liability for:                      *
*          1) the accuracy of the SPICE models provided to your        *
*             company;                                                 *
*          2) the proper functioning of these SPICE models in your     *
*             design or for any resulting applications; or             *
*          3) infringement of patents, copyrights or intellectual      *
*             property rights resulting from your use of these         *
*             SPICE models.                                            *
*                                                                      *
*          TI provides SPICE Models as a service to our customers.     *
*          You and your company shall not distribute, sell or give     *
*          these models to anyone else without prior written           *
*          permission from TI.                                         *
*                                                                      *
*          TI reserves the right to make changes to our products or    *
*          to discontinue any semiconductor product or service         *
*          without notice, and advises our customers to obtain the     *
*          latest version of relevant information to verify, before    *
*          placing orders, that the information being relied on is     *
*          current.                                                    *
*                                                                      *
*          Please be aware that your receipt and use of the SPICE      *
*          information provided shall serve as acceptance of these     *
*          terms and conditions.  If you do not accept these terms,    *
*          you should return or destroy the SPICE models and any       *
*          other accompanying information immediately.                 *
*                                                                      *
*          Contact Texas Instruments at ATTN:DATA TRANSMISSIONS        *
************************************************************************
************************************************************************
***  Netlist Pin and Signal Names
***
***  Pin    Signal        Description
***
***	1	RX_OP		Input 0, non-inverting
***	2	RX_ON		Input 0, inverting
***	3	GND		Ground
***	4	TX_1P		Output 1, non-inverting
***	5	TX_1N		Output 1, inverting
***	6	VCC		Power
***	7	EN		Enable
***	8	D1		Pre-emphasis 1
***	9	D0		Pre-emphasis 0
***	10	VCC		Power
***	11	RX_1N		Input 1, inverting
***	12	RX_1P		Input 1, non-inverting
***	13	GND		Ground
***	14	TX_0N		Output 0, inverting
***	15	TX_0P		Output 0, non-inverting
***	16	VCC		Power
***	17 	GND		Ground
***	18	GND		Ground
***	19	GND		Ground
***	20	VCC		Power

************************************************************
************************************************************
***  Testbench
************************************************************

************
**No Package
************

*XLVCP412 rx0p rx0n tx1p tx1n EN D1 D0 rx1n rx1p tx0n tx0p vcc 0 TOP_LVCP412

************
**  Package
************

XLVCP412_PKG rx0p rx0n tx1p tx1n EN D1 D0 rx1n rx1p tx0n tx0p vcc 0 TOP_LVCP412_20qfn


XI4 in1n in1p vterm_in1 SATA_in_jitter
XI10 in0n in0p vterm_in0 SATA_in_jitter

R1 out1n vterm_out1 50
R0 out1p vterm_out1 50
R2 out0p vterm_out0 50
R3 out0n vterm_out0 50

C6 in1p rx1p 12e-9
C7 in1n rx1n 12e-9
C4 tx1p out1p 12e-9
C1 tx0n out0n 12e-9
C0 tx0p out0p 12e-9
C5 tx1n out1n 12e-9
C2 in0p rx0p 12e-9
C3 in0n rx0n 12e-9

Vterm3 vterm_out1 0 DC=0
Vterm2 vterm_in1 0 DC=0
Vterm1 vterm_out0 0 DC=0
Vterm0 vterm_in0 0 DC=0

VEN EN 0 DC=3.3
VD1 D1 0 DC=0
VD0 D0 0 DC=3.3
VVCC vcc 0 DC=3.3


********************
** Input stimulus
********************
.subckt SATA_in_jitter outn outp vcm
** PWL: vbit0=-.5 vbit1=.5 td01=0 tr01=1e-10 td10=0 tf10=1e-10 bittime=3.33e-10
** pattern=00111110101100000101

V1 net050 0 PWL 0 -500e-3 666e-12 -500e-3 766e-12 500e-3 2.331e-9 500e-3
+2.431e-9 -500e-3 2.664e-9 -500e-3 2.764e-9 500e-3 2.997e-9 500e-3
+3.097e-9 -500e-3 3.33e-9 -500e-3 3.43e-9 500e-3 3.996e-9 500e-3 4.096e-9
+-500e-3 5.661e-9 -500e-3 5.761e-9 500e-3 5.994e-9 500e-3 6.094e-9 -500e-3
+6.327e-9 -500e-3 6.427e-9 500e-3 6.66e-9 500e-3 R

C0 net028 0 250e-15
R4 net025 net028 50
R1 net044 outn 50
R0 net047 outp 50
E1 net047 vcm VCVS net028 0 1
E2 vcm net044 VCVS net028 0 1
E0 net025 0 VCVS POLY(2) net050 0 net11 0  0  0  0  0  1
V6 net11 0 DC=1 AC 0 0 PULSE 0 1 20e-9 50e-12 50e-12 1 2
.ends SATA_in_jitter

*********************
** Device model
*********************
.include lvcp412.inc

*********************
** Process
*********************
.include nom.inc


.TRAN 10e-12 705e-9 START=0.0

.OP
.SAVE
.TEMP 25
 .option
 + post=1
 + lvltim = 2.0
 + probe
 + scale=1
 
 .PROBE TRAN
 + V(tx1n)
 + V(tx1p)
 + V(tx0n)
 + V(tx0p)
 + V(rx1n)
 + V(rx1p)
 + V(rx0n)
 + V(rx0p)
 + V(in0p)
 + V(in0n)
 + V(in1p)
 + V(in1n)
 + V(out0p)
 + V(out0n)
 + V(out1p)
 + V(out1n)
 
 
 .END
